/* 
 * File:   Main.c
 * Author: Chisanga
 *
 * Created on 09 May 2020, 8:23 PM
 */
//------------------------------------------------------------------------------
#include "headers/config_words.h"
#define _XTAL_FREQ  4000000
//------------------------------------------------------------------------------
#include <stdio.h>
#include <stdlib.h>
#include <xc.h>
//------------------------------------------------------------------------------
#include "headers/Lcd4.h"
#include "headers/TC77.h"
//------------------------------------------------------------------------------
char out[20] = {0};
//------------------------------------------------------------------------------
int main(int argc, char** argv) 
{
  LCD_init();
  TC77_Init();
  
  while(1)
  {
    sprintf(out,"Tempr:%3.4fC",TC77_ReadTempr());
    LCD_string(0,0,out); 
    
    __delay_ms(1000);
    LCD_command(clear);
  }
  
  return (EXIT_SUCCESS);
}
//------------------------------------------------------------------------------